\section{Research Design} \label{sec:researchdesign}

\begin{figure*}[ht]
	\centering
	\includegraphics[width=\textwidth]{figure/workflow.png}
	\caption{Practical and Theoretical Study Workflow}
	\label{fig:workflow}
\end{figure*}

The software engineering literature has presented little about what is
performed by practitioners; what activities they do and how often they
happen\cite{osterlie2007}. To fill the gap between practice and theory,
researchers should move from a research-and-transfer model to
industry-as-laboratory approach. In the context of FLOSS phenomenon,
researchers should include artifacts and publications more common and present
in the daily lives of those in the trenches of development. Linking regular
productions of the industry with findings of related academic research studies
would allow a better understanding of both academia and practitioners about the
characteristics of FLOSS development. 

With this concern, we define the following research question:

\textit{\textbf{RQ1. Software engineering studies and the trenches of FLOSS
project advocate equally about the relationship between the Linux development
model, the bazaar model, and the FLOSS development?}}

The rigor of search for information only in formal and academic references of
software engineering does not fit the FLOSS universe. Informal narrative
resources, which are comparatively easy to use and publicly accessible, are
bulky records daily produced by practitioners to describe, prescribe or
prescribe what happens in a FLOSS project\cite{Scacchi2007}. Cataloging and
reviewing online and non-academic publications would broaden the academic
understanding of how FLOSS project developers interpret the development model
they are part.

Considering this, I designed a multivocal literature review to answer the
above research question. A multivocal literature review is a form of systematic
literature review which includes inputs from academic peer-reviewed papers and
sources from the Grey Literature\cite{garousi2018}. Grey literature is a source
of acknowledgment produced from academia, industry, business, and government,
published in print or electronic formats, but commercial
publishers\cite{publicationbias2005} does not control it. It is
composed of sources of data not found in the formal literature such as blogs,
videos, white papers, and web-pages. It is also a great forum to disseminate
more critic investigations and negative of null results, reducing bias and
visualizing evidence more balanced and accurate\cite{arsenio2017}. Combining
systematic review protocols with grey literature helps to shed light on huge
industrial adopted areas still not mapped by software engineering
studies\cite{soldani2018}. However, the use of grey literature also has
challenges. Although institutions recommend the inclusion of this literature, a
precise method for implementation is not available. Thus, we still face
difficulties due to the large volume of information and the lack of indexing
standards and vocabulary\cite{Godin2015}.

To overcome these challenges, I divided the multivocal literature review into
three cycles. In the first cycle, I have conducted a survey of literature
reviews along the last two decades about FLOSS phenomenon to discuss relevant
findings and opinions. In the second cycle, I am designing a systematic grey
literature review focusing on podcasts, blog posts, talks, and electronic opinion
publication from expert practitioners and relevant institutions in the field of
FLOSS. In the third and last cycle, I plan to conduct a systematic review of the
formal literature and compare its results with those found in the previous
phase to map convergent and divergent concepts between theory-and-practice.

Thenceforward, I will focus my research on seeking the previous concepts
inside the project which inspired the bazaar model, the Linux kernel project.
Linux is a monolithic kernel and not a full operating system\cite{bovet2005}.
Linux performed a protagonistic role in both free software movement and
open-source movement and, even after 20 years of the bazaar model construction,
its elements and values still guide software engineering investigations related
to FLOSS phenomenon. The Linux development model and its similarity to the
bazaar model is also concerns of this study. Because of this, the following
research question will drive this part of the investigation.

\textit{\textbf{RQ2. What characteristics of the current Linux project resemble
the Bazaar development model (later announced as Open Source model)? And which
ones distance themselves from this model?}}

The characterization of the Linux kernel project current development model will
allow its positioning not only in terms of representativeness on the phenomenon
but also its relationship with other FLOSS project development models. The case
study of the Linux development model will follow a research approach which
includes data mining and principles of action-research\cite{action1988, action2013}.  

After revisiting the concepts discussed in the stage of comparison of literature
reviews and mapping attributes to be analyzed in this characterization stage,
we will filter information available in mailing lists, IRC channels, and git
repositories, to collect the values of these attributes. With data mining, I
will conduct a quantitative and qualitative analysis of these values regarding
Linux project to update the set of characteristics which define its current
development model.

However, we consider a more compelling case study investigation on FLOSS generally needs
of the practice, and therefore I will dive in the Linux kernel project as a
direct actor of the development process, participating in the process of
developing and sending contributions as a real community developer. Also, in
the lights of common bazaar values, I will write a journal of participation to
register each impression, feelings, and findings during this process.
